package kr.gmtc.gw.standstatus.config;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;
import java.util.concurrent.LinkedBlockingQueue;

import kr.gmtc.gw.comp.rest.vo.RestServiceData;
import kr.gmtc.gw.standstatus.kafka.vo.AiVideoMetaData;
import kr.gmtc.gw.standstatus.vo.AlarmMsgVO;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class QueueManageBean {
    
    private LinkedBlockingQueue<ArrayList<AiVideoMetaData>> qRecvVideo;
    private LinkedBlockingQueue<AlarmMsgVO> qAlamMsg;
    //private Map<Integer, LinkedList<RestServiceData>> mapServiceLists;
    private LinkedList<RestServiceData> serviceList;
    private boolean bThredRunnig;

    public QueueManageBean(){
        this.qRecvVideo =  new LinkedBlockingQueue<ArrayList<AiVideoMetaData>>(100000);
        this.qAlamMsg = new LinkedBlockingQueue<AlarmMsgVO>(100000);
        this.serviceList = new LinkedList<RestServiceData>();
        this.bThredRunnig = false;
    }

}
