package kr.gmtc.gw.standstatus.kafka.vo;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@JsonPropertyOrder({ "result_code", "result_msg" })
public class KafkaRequestVo {

  @JsonProperty("header")
  private ResponsHeader header;	
	
  @JsonProperty("data")
  private List<AiVideoMetaData> data;

  public KafkaRequestVo(){
    this.data = new ArrayList<AiVideoMetaData>();
  }
    
}